import React from 'react';
import PandaModal from '../index';
import { Button } from 'antd'

const iconArr = [{ "text": "assets\\images\\Device", "list": [{ "text": "二供.svg", "value": "assets/images/Device/二供.svg" }, { "text": "二供泵房.svg", "value": "assets/images/Device/二供泵房.svg" }, { "text": "压力表.svg", "value": "assets/images/Device/压力表.svg" }, { "text": "微型泵房.svg", "value": "assets/images/Device/微型泵房.svg" }, { "text": "水厂.svg", "value": "assets/images/Device/水厂.svg" }, { "text": "水源井.svg", "value": "assets/images/Device/水源井.svg" }, { "text": "水表.svg", "value": "assets/images/Device/水表.svg" }, { "text": "水质.svg", "value": "assets/images/Device/水质.svg" }, { "text": "水龄控制仪.svg", "value": "assets/images/Device/水龄控制仪.svg" }, { "text": "流量计.svg", "value": "assets/images/Device/流量计.svg" }, { "text": "节水控制仪.svg", "value": "assets/images/Device/节水控制仪.svg" }, { "text": "调峰泵房.svg", "value": "assets/images/Device/调峰泵房.svg" }, { "text": "送水泵.svg", "value": "assets/images/Device/送水泵.svg" }, { "text": "通用设备.svg", "value": "assets/images/Device/通用设备.svg" }, { "text": "通用设备_备用.svg", "value": "assets/images/Device/通用设备_备用.svg" }, { "text": "预制泵站.svg", "value": "assets/images/Device/预制泵站.svg" }] }, { "text": "assets\\images\\tree", "list": [{ "text": "二供S.svg", "value": "assets/images/Device/二供.svg" }, { "text": "二供泵房S.svg", "value": "assets/images/Device/二供泵房.svg" }, { "text": "压力表S.svg", "value": "assets/images/Device/压力表.svg" }, { "text": "微型泵房S.svg", "value": "assets/images/Device/微型泵房.svg" }, { "text": "水厂S.svg", "value": "assets/images/Device/水厂.svg" }, { "text": "水源井S.svg", "value": "assets/images/Device/水源井.svg" }, { "text": "水表S.svg", "value": "assets/images/Device/水表.svg" }, { "text": "水质S.svg", "value": "assets/images/Device/水质.svg" }, { "text": "水龄控制仪S.svg", "value": "assets/images/Device/水龄控制仪.svg" }, { "text": "流量计S.svg", "value": "assets/images/Device/流量计.svg" }, { "text": "节水控制仪S.svg", "value": "assets/images/Device/节水控制仪.svg" }, { "text": "调峰泵房S.svg", "value": "assets/images/Device/调峰泵房.svg" }, { "text": "送水泵S.svg", "value": "assets/images/Device/送水泵.svg" }, { "text": "通用设备S.svg", "value": "assets/images/Device/通用设备.svg" }, { "text": "通用设备_备用S.svg", "value": "assets/images/Device/通用设备_备用.svg" }, { "text": "预制泵站S.svg", "value": "assets/images/Device/预制泵站.svg" }] }]

class ModalDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            data: iconArr,
            visible: false,
            footer: null,
            iconName: "",//图标名称
        }
    }

    iconBtn = () => {
        this.setState({
            visible: true
        })
    }

    choiceBtn = (name) => {
        console.log(name)
    }

    render() {
        return (
            <div key={'demoBox'}>
                <Button key={'Button1'} onClick={this.iconBtn}>点击选择图片</Button>
                <PandaModal data={this.state.data} visible={this.state.visible} onOk={this.choiceBtn} />
            </div>
        );
    }
}
export default ModalDemo